Subject: Re: [PATCH v4 16/34] doc txt & -h consistency: fix mismatching labels

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Oct 2022 09:27:27 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> diff --git a/Documentation/git-clean.txt b/Documentation/git-clean.txt
> index 91742633fa8..61b6d8667a4 100644
> --- a/Documentation/git-clean.txt
> +++ b/Documentation/git-clean.txt
> @@ -8,7 +8,7 @@ git-clean - Remove untracked files from the working tree
>  SYNOPSIS
>  --------
>  [verse]
> -'git clean' [-d] [-f] [-i] [-n] [-q] [-e <pattern>] [-x | -X] [--] <path>...
> +'git clean' [-d] [-f] [-i] [-n] [-q] [-e <pattern>] [-x | -X] [--] <pathspec>...
>  
>  DESCRIPTION
>  -----------
> @@ -20,13 +20,13 @@ Normally, only files unknown to Git are removed, but if the `-x`
>  option is specified, ignored files are also removed. This can, for
>  example, be useful to remove all build products.
>  
> -If any optional `<path>...` arguments are given, only those paths
> -are affected.
> +If any optional `<pathspec>...` arguments are given, only those paths
> +that match the pathspec are affected.

OK.  But ...

>  OPTIONS
>  -------
>  -d::
> -	Normally, when no <path> is specified, git clean will not
> +	Normally, when no <pathspec> is specified, git clean will not
>  	recurse into untracked directories to avoid removing too much.
>  	Specify -d to have it recurse into such directories as well.
>  	If any paths are specified, -d is irrelevant; all untracked

... this "any paths are" needs the same treatment.  I didn't point
out every instances of the same error in my previous review, but was
hoping that a reroll was done a bit more care than just fixing exact
locations pointed out.

There may be other such instances in this round, but this somehow
stood out in my quick scan.  I am offline today, and will not
reading the other patches until tomorrow.

Thanks for  working on the topic.